---
title: "New year status update"
date: 2025-01-10T11:32:59+02:00
draft: false
image: "/img/keyb.png"
imageCredit: "Image from the Outdoor Computing Club collection by Fletcher Bach (are.na/block/21997694)"
description: "New year status update 2025"
---

Happy new year all! Here's another status update from your friendly neighbourhood democratic software federation 💫

<!--more-->

## Kite flying hour is back 🪁

We are meeting weekly again!

Here's the [running agenda](https://pad.autonomic.zone/VtyrLUl9RWaJGgEDrncQUw?view) and [documentation](https://docs.coopcloud.tech/federation/organisers/#kite-flying-hours) for context and motivation for this regular online hangout and co-working session.

We are meeting every Thursday online at alternating moments to account for different timezones:

* timeslot 1: 12 UTC 📅
* timeslot 2: 19 UTC 📅

Check in on our [Matrix channels](https://docs.coopcloud.tech/intro/contact/) to see what the upcoming time slot is or keep an eye on [this fedi thread](https://social.coop/@coopcloud/113555815289767778). There is budget to claim for active contributors. See [`R024`](https://docs.coopcloud.tech/federation/resolutions/passed/024/) for more.

## `social.coop` donation 💸

The Good People of [`social.coop`](https://social.coop) decided to make an incredible financial contribution to Co-op Cloud. Thank you all so much! Read more [here](https://social.coop/@coopcloud/113442786975981368).

## Updating the anarchist cookbook of recipes 🧨

As more comrades start to use Co-op Cloud more regularly in their daily infrastructure work, we're starting to see new recipes come in, recipes that hadn't been working correctly are fixed, while others receive upgrades and new features!

Here's a quick run-through of the weird and wonderful recipe updates we saw passing by in the last weeks/months. 

* The [Mastodon recipe](https://git.coopcloud.tech/coop-cloud/mastodon) is so back (thanks to `bimbo.blog.br`)
* The [Workadventure recipe](https://git.coopcloud.tech/coop-cloud/workadventure) is *almost* back (thanks to `wiki.cafe`)
* A wild [Gitlab recipe](https://git.coopcloud.tech/coop-cloud/gitlab) recipe appears (thanks `@marlon0` from [MIR](https://mirnet.org))
* A wild [Pretix recipe](https://git.coopcloud.tech/coop-cloud/pretix) appears (thanks [Local-IT](https://local-it.org) / ESN)
* We have Signal and Telegram bridges available in the [Matrix Synapse recipe](https://git.coopcloud.tech/coop-cloud/matrix-synapse) (thanks `@Simon`, `@decentral1se`)
* The [Limesurvey recipe](https://git.coopcloud.tech/coop-cloud/limesurvey) got Authentik LDAP Outpost support (thanks [a bunch of hackers](https://git.coopcloud.tech/coop-cloud/limesurvey/commits/branch/main))
* A wild [XWiki recipe](https://git.coopcloud.tech/coop-cloud/xwiki) appears (thanks [a bunch of hackers](https://git.coopcloud.tech/coop-cloud/xwiki/commits/branch/main))
* The [Zammad recipe](https://git.coopcloud.tech/coop-cloud/zammad) now has  SAML support integrated with [Authentik](https://git.coopcloud.tech/coop-cloud/authentik) (thanks `@moritz`)
* The [Rallly recipe](https://git.coopcloud.tech/coop-cloud/rallly) now has Single-Sign-on support (thanks `@simon`)
* The [Kimai recipe](https://git.coopcloud.tech/coop-cloud/kimai) now includes SAML SSO (thanks [a bunch of hackers](https://git.coopcloud.tech/coop-cloud/kimai/commits/branch/main))
* A wild suite of `*arr` recipes appear! That is, [Sonarr](https://git.coopcloud.tech/coop-cloud/sonarr), [Radarr](https://git.coopcloud.tech/coop-cloud/radarr) and [Prowlarr](https://git.coopcloud.tech/coop-cloud/prowlarr). Also, the [Photoprism](https://git.coopcloud.tech/coop-cloud/photo-prism) and [Navidrome](https://git.coopcloud.tech/coop-cloud/navidrome) recipes too! Huge thanks to `@Ammar` 🎉

## New federation members and friends 👩‍💻

A very warm welcome to the new federation members 👋 🥹

* [Ammar](https://docs.coopcloud.tech/federation/resolutions/passed/022/)
* [Karrot](https://docs.coopcloud.tech/federation/resolutions/passed/019/)
* [EOTL](https://docs.coopcloud.tech/federation/resolutions/passed/019/)
* [Klasse & Methode](https://docs.coopcloud.tech/federation/resolutions/passed/015/)

We've also seen some spectacular projects getting interested in and/or deploying Co-op Cloud: [Movement Infrastructure Research](https://mirnet.org) and [Escuela Común](https://escuelacomun.yanapak.org/) / [Red Abya Yala](https://abyayala.sutty.nl/) 👀

Anyone can [become a member](https://docs.coopcloud.tech/federation/membership/) and help shape the project 📢

## New website Coming Soon ™ 🕸️

[`R023`](https://docs.coopcloud.tech/federation/resolutions/passed/023/) has been passed! `@sef` from [`doop.coop`](https://doop.coop) is on the case! We're hoping to have the results of a federation wide survey coming in shortly and then we can start to come up with a new design 🎉

## Self-management migrations 🚚

We ran into a few "growing pains" recently regarding how we self-manage the project. We won't bore you with the details (they're in [this small resolution](https://pad.local-it.org/5JBUdyfkQauR5yhJ_IR2xA?both) if you really must) but based on feedback we've got a new setup on `git.coopcloud.tech` 🤓

* [`git.coopcloud.tech/toolshed`](https://git.coopcloud.tech/toolshed): the new location for all "non-recipe" repositores such as `abra`, the docs, the website etc.
* [`git.coopcloud.tech/coop-cloud`](https://git.coopcloud.tech/coop-cloud): now dedicated for recipe repositories.
* [We're migrating away](https://git.coopcloud.tech/toolshed/organising/issues/667) from a single issue tracker for the entire project. We originally went with this option to have a single overview but we can now do this with [organisation-wide project boards](https://git.coopcloud.tech/toolshed/-/projects).
* We're considering the use of the [timetracking software Kimai ](https://git.coopcloud.tech/coop-cloud/kimai) to track our time and monitor budgets but we hit the [ol' SSO question](https://git.coopcloud.tech/toolshed/organising/issues/669).

## New `abra` release candidate 🌈

It's been 10 months and 236+ commits of `abra` hacking without a release 🙈

We took on quite an ambitious list of new features and ran into a number of challenges along the way. Thanks everyone for your patience 💓

Due to the sheer amount of changes, we're going with a release candidate (`0.10.0-rc1-beta`) which people can test out before we do a proper release.

You can test it out by running: `abra upgrade --rc`. Please note however, this will overwrite your current `abra` binary in-place (run `which abra` to see where it is if you want to make a backup).

You can also grab the right binary for your system from [`git.coopcloud.tech/toolshed/abra/releases`](https://git.coopcloud.tech/toolshed/abra/releases/tag/0.10.0-rc1-beta) and manually download and `chmod +x` it. Documentation for this is [here](https://docs.coopcloud.tech/abra/upgrade/#manually).

⚠️ As always, **please back up** your `$ABRA_DIR` / `~/.abra` before testing. More specifically, any app `.env` files or recipe changes you're hacking on ⚠️

Here's the *Work-In-Progress* migration guide: [`0.9.x-beta` 👉 `0.10.x-beta`](https://docs.coopcloud.tech/abra/upgrade/#09x-beta-010x-beta).

If you're curious, here's the ["mega issue"](https://git.coopcloud.tech/toolshed/organising/issues/583) we used to coordinate this release (*and* the [project board](https://git.coopcloud.tech/toolshed/-/projects/29) we migrated to 😅). 

Finally, a list of the top-level features that are ready to test is as follows.

### `backup-bot-two` support

The specification has been [published](https://docs.coopcloud.tech/specs/backup/spec/). The implementation has been [released](https://git.coopcloud.tech/coop-cloud/backup-bot-two). The `abra` machinery has been [wired up](https://git.coopcloud.tech/toolshed/abra/pulls/447).

We're happy to finally announce that `backup-bot-two` is available for general testing!

In the grand tradition of Co-op Cloud, several federation members have been running an unreleased version of `backup-bot-two` in production for some time 😂

The documentation is still coming together but you can dive in right now. Deploy a `backup-bot-two`, wire up labels on your recipes and `backup` / `restore` directly from `abra`.

Many recipe hackers have already put in the work to enable the correct `backup-bot-two` labels. Thank you all for your maintenance work!

See the `backup-bot-two` [`README.md`](https://git.coopcloud.tech/coop-cloud/backup-bot-two#backupbot-ii) for more 📚

### Improved CLI handling

We finally took the plunge and migrated to a more stable command-line library in `abra`. The [enormous diff](https://git.coopcloud.tech/toolshed/abra/pulls/452) is pretty gnarly.

The good news is that there are now several improvements for convenient and ergonomic use of `abra` on the command-line 🌻

* You can now generate `abra` manpages for your system! See `abra man --help` for more.
* The handling of `--` on the command-line is now stable again. For example, running `abra app cmd 1312.net app --user nobody -- ls -lha` works.
* Autocompletion works for flags and for flag arguments. So you can `abra app ls -[tab]` and see a list of all possible flags. And you can `abra app ls -s [tab]` to get a list of all servers. Happy tabbin' ⌨️
* We now have an `EXAMPLES` section for all commands in the `--help` output. Please let us know what we can improve and don't hesitate to send your docs patches!
* It is finally possible to combine "shorthand" flags into one. For example, before: `abra app deploy -C -n 1312.net` now: `abra app deploy -Cn 1312.net`

#### "Operator collaboration"

For context, the problem in a nutshell is: when you work with others and you deploy stuff with `abra`, how do you let your collaborators know what you did?

At the moment, several collectives are manually syncing a Git repository somewhere under `$ABRA_DIR` / `~/.abra`. We want to eventually bring this support into `abra` itself but we're still researching how to support the existing diverse workflows.

In the meantime, the foundations have been implemented and are now available in `abra`. A huge thanks to `@p4u1` from [K & M](https://klasse-methode.it) for implementing a huge part of this work.

Here's the docs:
* [Remote recipes](https://docs.coopcloud.tech/operators/handbook/#remote-recipes)
* [Saving the version to the app .env file](https://docs.coopcloud.tech/operators/handbook/#saving-the-version-to-the-app-env-file)
* [How is the new deployment version determined?](https://docs.coopcloud.tech/operators/handbook/#how-is-the-new-deployment-version-determined)

### Integration test suite

`abra` now has an automated integration test suite. It's humming away each night running (so far) 290+ tests which keep us grounded. For those curious, it's [implemented in Bash](https://git.coopcloud.tech/toolshed/abra/src/branch/main/tests/integration) 😌 Thanks to comrade `@mirsal` for loaning us the server resources 💞

## What we're up to next 🔭

It's hard to have a clear overview with so much going on but this is what seems to be gathering momentum in the channels and on the issue trackers:

* More inclusive documentation tool (aka "edit the docs without having to know Git and Python") ([`#665`](https://git.coopcloud.tech/toolshed/organising/issues/665)).
* We now have a [`Co-op Cloud Docs Channel`](https://matrix.to/#/#coop-cloud-docs:autonomic.zone) and are discussing [ways to improve terminology](https://git.coopcloud.tech/toolshed/organising/issues/664) in the project.
* Improving the recipe release workflow with `abra` ([`#663`](https://git.coopcloud.tech/toolshed/organising/issues/663)) and related, [The Maintainers Proposal ™](https://pad.autonomic.zone/42Ier8ZgQ-CUgBsFKUmdpQ?view)
* TUI replacement for `abra app ls` ([`#657`](https://git.coopcloud.tech/toolshed/organising/issues/657))
* Going collectively further down the "operator collaboration" rabbit hole (specifically, how to remotely sync deployment changes to fellow operators) ([`#467`](https://git.coopcloud.tech/toolshed/organising/issues/467))
* We want to move towards a 1.0 stable release of `abra` in the near future. The discussion is beginning over on [`#670`](https://git.coopcloud.tech/toolshed/organising/issues/670).

The new directions of our project will always be democratically determined by participants and federation members, so please get involved to have your say 📢

## We're reading this month 📚 ☕

### SYNWARE

**Free software syndicates**

> The present volume inaugurates the Synware collection (sinwɛːʁ) on free software syndicalism. This collection explores the modalities of using, creating, and maintaining digital technologies collectively. Synware documents decentralized free software, their usage and community organization as much technical as conceptual, aesthetic and political.

More info, credits and an online PDF are all [here](https://oxygen.offdem.net/pub/synware-free-software-syndicates).

## Get Radical with us 🚩🏴

We’d love to see more folks [get involved](https://docs.coopcloud.tech/intro/get-involved/) 🎉

If you’re thinking about setting up a technology co-op, you have a software stack sitting around waiting for you to pick up now; we have the technology! It’s built by tech co-ops for tech co-ops.

If you’re curious but don’t know where to start, [get in touch](https://docs.coopcloud.tech/intro/contact/) anyway!
